Page MenuHomeVyOS Platform

Recovery ifname for PPtP remote-access
Closed, ResolvedPublicBUG

Description

Current implementation vpnt pptp remote-access use interfaces names pppX but should use pptpX

vyos@GW1:~$ show vpn remote-access 
 ifname | username |  calling-sid  |     ip     | type | comp | state  |  uptime  
--------+----------+---------------+------------+------+------+--------+----------
 ppp0   | test     | 192.168.0.102 | 100.64.0.1 | pptp | mppe | active | 00:00:37

Details

Difficulty level
Easy (less than an hour)
Version
1.3-rolling-202001060217
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

Dmitry claimed this task.Jan 6 2020, 3:15 PM
Dmitry created this task.
Dmitry changed the task status from Open to Needs testing.Jan 6 2020, 3:26 PM
Dmitry closed this task as Resolved.Jan 8 2020, 12:32 PM

Successfully tested on latest rolling 1.3-rolling-202001080217

vyos@GW1:~$ show vpn remote-access 
 ifname | username |  calling-sid  |     ip     | type | comp | state  |  uptime  
--------+----------+---------------+------------+------+------+--------+----------
 pptp0  | test     | 192.168.0.102 | 100.64.0.1 | pptp | mppe | active | 00:00:21
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Feb 9 2020, 2:15 PM